Skip to content

Get an OIDC trust rule

GET
/v1/oidc-trust-rules/{rule_id}
rule_id
required
Rule Id
string format: uuid

Successful Response

OidcTrustRule
object
id
required
Id
string
name
Any of:
string
issuer
required
Issuer
string
audience
required
Audience
string
subject
Any of:
string
claim_matchers
Claim Matchers
object
key
additional properties
string
scope
required
OidcTrustRuleScope
string
Allowed values: ALL_REPO SELECTED_REPO
grants
required
Grants
Array<string>
Allowed values: ALL GIT_HTTP_READ GIT_HTTP_WRITE API_COMMITS_READ API_REPOS_READ API_REPOS_WRITE API_WEBHOOKS API_STORAGE API_OIDC_TRUST
repositories
Repositories
Array<object>
AccessTokenRepository
object
id
required
Id
string
name
required
Name
string
full_name
required
Full Name
string
enabled
Enabled
boolean
default: true
last_exchanged_at
Any of:
string
last_exchanged_sub
Any of:
string
created_at
Any of:
string

Not Found

GenericError
object
detail
Detail

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string